Bug 149008 - icons for "Description" and "Insert Caption" are identical, but they should be different -- their functions are different
Summary: icons for "Description" and "Insert Caption" are identical, but they should b...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+
Hardware: All All
: medium enhancement
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.5.0 target:7.3.5 target:7.4....
Keywords:
Depends on:
Blocks: Icon-Theme-Breeze Icon-Theme-Colibre Icon-Theme-KarasaJaga Icon-Theme-Elementary Icon-Request Icon-Theme-Sifr Icon-Theme-Sukapura
  Show dependency treegraph
 
Reported: 2022-05-09 21:09 UTC by sdc.blanco
Modified: 2022-06-20 10:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Alt Text in Word 365 (51.56 KB, image/png)
2022-06-19 10:40 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2022-05-09 21:09:30 UTC
Use Customize dialog (Tools - Customize - Menus tab)
Search with "desc"  (notice appearance of icon for Description) 
                     [.uno:ObjectTitleDescription]
Search with "cap"  (notice appearance of icon for Caption is identical with icon
                    for Description) [.uno:InsertCaptionDialog]


The functions of these two commands is different.  Icons should be different.

Perhaps "Description" should not use the same background graphic as Image
because this command is also used with OLE Objects (i.e., Formula, QR code) and Frames.
Comment 1 Rizal Muttaqin 2022-05-12 22:58:44 UTC
Thanks for the report

Could you please tell me the usage for "Description" (e.g. step by step to use the function) so I can got deeper understanding the difference.
Comment 2 sdc.blanco 2022-05-13 00:45:04 UTC
(In reply to Rizal Muttaqin from comment #1)
> Could you please tell me the usage for "Description" (e.g. step by step to
> use the function) so I can got deeper understanding the difference.
First -- as a practical point -- your question has made me look more closely at the UI -- and I can see that these two icons rarely appear and even more rarely do they appear together.  So -- you must decide whether it is worth the trouble to make the change -- or how much work to do with it.

(but see bug 101193, comment 46.  If that proposal is accepted, then it would become an important issue)

Second, "Description" is a kind of meta-data that can be attached to objects (i.e., Images, Frames, Formula, Shapes, etc.).  If you open the Properties dialog for an image, frame, chart, formula (select one of these, right-click, choose Properties, then Options tab), then you will see a textfield next to Description, where you can write whatever you want.  This is one way to access this field.

The other way to access "Description" is by selecting an object, and then use the menu  (Format > Description), which opens a popup box, where you can enter a Description.  The data entered in this popup box will also appear in the Options tab in the Properties dialog for Image, Frame, Formula, Chart...

Third, the main thing is that the Description field is general -- applied to anything non-textual -- whether image, chart, formula, drawing, shape, textbox, frame....

Fourth, in principle, this description information might be exported to PDF, HTML, XHTML documents, where it could be used by screen readers.  In other words, a primary function of Description is for accessibility purposes (when a person cannot see the non-text information) -- but I have also seen one person in BZ mention that they used this field to document their layout.  

But -- for now -- let us say that the main function of Description is to add some explanation of the appearance or content of non-textual material (i.e., used for Accessibility - a11y purposes).

Finally, where you can see the problem/issue most clearly:
Tools > Customize > Context Menus > Target (and choose Media)
(scroll to bottom of Assigned Commands, and you can see Description and Insert Caption -- which is also what is proposed 2 days ago in  bug 101193, comment 46.

I hope that is enough information to go forward.
Comment 3 Commit Notification 2022-06-19 10:32:08 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/422fcc74f9e334d45e4cc971a45465bd9f5b1777

elementary tdf#149008 differentiate Description and Caption icons

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Rizal Muttaqin 2022-06-19 10:40:31 UTC
Created attachment 180825 [details]
Alt Text in Word 365

As a reference, here I attach similar feature from Word 365 for "Description" as "Alt Text"
Comment 5 Commit Notification 2022-06-19 11:19:28 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/68ccb7bc516ee9baf08f1955c76330e8d7738bb6

elementary tdf#149008 differentiate Description and Caption icons

It will be available in 7.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-06-19 12:42:53 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/982b959762c4074d388693a2fc017b042308fec3

elementary tdf#149008 differentiate Description and Caption icons

It will be available in 7.4.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-06-19 15:57:39 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1c6057aa5a6b6cbd9cc8cbfbc3080dd2fdbd8783

Breeze: tdf#149008 differentiate Description and Caption icons

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2022-06-19 23:26:48 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cb22629eb251de97084ab11f80cb54687483996f

Colibre: tdf#149008 differentiate Description and Caption icons

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2022-06-20 01:15:19 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/eabd22ad8ed99ccdbc4f94ea22944c471b21b447

Sukapura: tdf#149008 differentiate Description and Caption icons

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2022-06-20 01:15:26 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e9b8e46e0b0c716b7c32763d3c7e966e43f06b63

Sifr: tdf#149008 differentiate Description and Caption icons

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2022-06-20 01:16:34 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/9304def537e4c6b6b80df63de33a2ddd912fd935

Sukapura: tdf#149008 differentiate Description and Caption icons

It will be available in 7.4.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2022-06-20 01:58:51 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/357fc8c9e577a2c3568921e8b3fefa538df01244

Colibre: tdf#149008 differentiate Description and Caption icons

It will be available in 7.4.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2022-06-20 01:59:00 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/1f56be9775d42bbbbb8b71a1d47cd2b21525be71

Sifr: tdf#149008 differentiate Description and Caption icons

It will be available in 7.4.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2022-06-20 02:26:12 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/39ffe421047e69554e601cedf0fde931ccc18ca7

KJ: tdf#149008 differentiate Description and Caption icons

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2022-06-20 03:28:32 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/61fb42a8819ab32a35cc401a5d6a4232ab02a1f9

KJ: tdf#149008 differentiate Description and Caption icons

It will be available in 7.4.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2022-06-20 05:51:07 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/33b6a9c3107da31cd1d45f315610ec443b89271d

KJ: tdf#149008 differentiate Description and Caption icons

It will be available in 7.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2022-06-20 09:43:55 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/183ed958b0c6d49cdae4d72e23f8c0b9d5abc579

Sifr: tdf#149008 differentiate Description and Caption icons

It will be available in 7.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2022-06-20 10:08:10 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/db59cbaed268aa9e19a88e34fea2c465c55c1f0c

Sukapura: tdf#149008 differentiate Description and Caption icons

It will be available in 7.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.